<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 29 17:33:32 CEST 2017 -->
<title>DynamicProgramming</title>
<meta name="date" content="2017-05-29">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DynamicProgramming";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DynamicProgramming.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../knapsack/strategies/Greedy.html" title="class in knapsack.strategies"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?knapsack/strategies/DynamicProgramming.html" target="_top">Frames</a></li>
<li><a href="DynamicProgramming.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">knapsack.strategies</div>
<h2 title="Class DynamicProgramming" class="title">Class DynamicProgramming</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../knapsack/strategies/TemplateStrategy.html" title="class in knapsack.strategies">knapsack.strategies.TemplateStrategy</a></li>
<li>
<ul class="inheritance">
<li>knapsack.strategies.DynamicProgramming</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../knapsack/strategies/Strategy.html" title="interface in knapsack.strategies">Strategy</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DynamicProgramming</span>
extends <a href="../../knapsack/strategies/TemplateStrategy.html" title="class in knapsack.strategies">TemplateStrategy</a></pre>
<div class="block">Represents the DynamicProgramming Strategy.
 Create an optimal solution out of optimal sub-solutions.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../knapsack/strategies/DynamicProgramming.html#DynamicProgramming--">DynamicProgramming</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../knapsack/strategies/DynamicProgramming.html#core_algorithm-knapsack.Knapsack-">core_algorithm</a></span>(<a href="../../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a>&nbsp;ks)</code>
<div class="block">see <a href="../../knapsack/strategies/TemplateStrategy.html#core_algorithm-knapsack.Knapsack-"><code>TemplateStrategy.core_algorithm(Knapsack)</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../knapsack/strategies/DynamicProgramming.html#postprocess-knapsack.Knapsack-">postprocess</a></span>(<a href="../../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a>&nbsp;ks)</code>
<div class="block">see <a href="../../knapsack/strategies/TemplateStrategy.html#postprocess-knapsack.Knapsack-"><code>TemplateStrategy.postprocess(Knapsack)</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../knapsack/strategies/DynamicProgramming.html#preprocess-knapsack.Knapsack-">preprocess</a></span>(<a href="../../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a>&nbsp;ks)</code>
<div class="block">see <a href="../../knapsack/strategies/TemplateStrategy.html#preprocess-knapsack.Knapsack-"><code>TemplateStrategy.preprocess(Knapsack)</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.knapsack.strategies.TemplateStrategy">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;knapsack.strategies.<a href="../../knapsack/strategies/TemplateStrategy.html" title="class in knapsack.strategies">TemplateStrategy</a></h3>
<code><a href="../../knapsack/strategies/TemplateStrategy.html#algorithm-knapsack.Knapsack-">algorithm</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DynamicProgramming--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DynamicProgramming</h4>
<pre>public&nbsp;DynamicProgramming()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="preprocess-knapsack.Knapsack-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>preprocess</h4>
<pre>protected&nbsp;void&nbsp;preprocess(<a href="../../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a>&nbsp;ks)</pre>
<div class="block">see <a href="../../knapsack/strategies/TemplateStrategy.html#preprocess-knapsack.Knapsack-"><code>TemplateStrategy.preprocess(Knapsack)</code></a>.
 Post-Process Items: Here, filter out all non-valid items.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../knapsack/strategies/TemplateStrategy.html#preprocess-knapsack.Knapsack-">preprocess</a></code>&nbsp;in class&nbsp;<code><a href="../../knapsack/strategies/TemplateStrategy.html" title="class in knapsack.strategies">TemplateStrategy</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ks</code> - the knapsack we want to work with</dd>
</dl>
</li>
</ul>
<a name="core_algorithm-knapsack.Knapsack-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>core_algorithm</h4>
<pre>protected&nbsp;void&nbsp;core_algorithm(<a href="../../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a>&nbsp;ks)</pre>
<div class="block">see <a href="../../knapsack/strategies/TemplateStrategy.html#core_algorithm-knapsack.Knapsack-"><code>TemplateStrategy.core_algorithm(Knapsack)</code></a>.
 Core Algorithm: Dynamic Programming (0-1-Knapsack).
 See documentation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../knapsack/strategies/TemplateStrategy.html#core_algorithm-knapsack.Knapsack-">core_algorithm</a></code>&nbsp;in class&nbsp;<code><a href="../../knapsack/strategies/TemplateStrategy.html" title="class in knapsack.strategies">TemplateStrategy</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ks</code> - the knapsack we want to work with</dd>
</dl>
</li>
</ul>
<a name="postprocess-knapsack.Knapsack-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>postprocess</h4>
<pre>protected&nbsp;void&nbsp;postprocess(<a href="../../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a>&nbsp;ks)</pre>
<div class="block">see <a href="../../knapsack/strategies/TemplateStrategy.html#postprocess-knapsack.Knapsack-"><code>TemplateStrategy.postprocess(Knapsack)</code></a>.
 Post-Process Items: backtrack table to determine which item is packed in specifically.
 Returns only ONE valid (and optimal) item allocation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../knapsack/strategies/TemplateStrategy.html#postprocess-knapsack.Knapsack-">postprocess</a></code>&nbsp;in class&nbsp;<code><a href="../../knapsack/strategies/TemplateStrategy.html" title="class in knapsack.strategies">TemplateStrategy</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ks</code> - the knapsack we want to work with</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DynamicProgramming.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../knapsack/strategies/Greedy.html" title="class in knapsack.strategies"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?knapsack/strategies/DynamicProgramming.html" target="_top">Frames</a></li>
<li><a href="DynamicProgramming.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
